StableOps
API 参考

支付商户发票

为 StableOps 商户账单准备收款订单,传入接受的链与资产,并将返回的精确金额和收款指令交给用户钱包支付。账单付款需要用户钱包主动转账,创建支付请求本身不会结清账单。应根据返回的精确金额付款,并在支付达到最终确认后核对账单结算与订阅权益。

POST/v1/merchant/invoices/{id}/pay

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Merchant invoice id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/merchant/invoices/{id}/pay" \  -H "Content-Type: application/json" \  -d '{    "accepted_assets": [      {        "chain": "ethereum",        "asset": "USDC"      }    ]  }'
{
  "invoice_id": "string",
  "payment_order_id": "string",
  "status": "open",
  "payment_order": {
    "id": "string",
    "merchant_order_id": "string",
    "amount": "string",
    "requested_amount": "string",
    "status": "created",
    "expires_at": "2019-08-24T14:15:22Z",
    "payment_instructions": [
      {
        "chain": "ethereum",
        "asset": "USDC",
        "address": "string"
      }
    ]
  }
}

这篇文档怎么样?

最后更新